Bug 603017 - Can not boot rhel6 guest with amd cpu model without "+x2apic" in intel host
Can not boot rhel6 guest with amd cpu model without "+x2apic" in intel host
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: john cooper
Virtualization Bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 05:56 EDT by juzhang
Modified: 2014-07-24 23:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-21 17:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
#x86info -a -f > qemu2.72withx2apic.txt on qemu-kvm-0.12.1.2-2.72.el6.x86_64. (34.16 KB, text/plain)
2010-06-17 02:30 EDT, juzhang
no flags Details
#"x86info -a -f > qemu2.48withx2apic.txt" on qemu-kvm-0.12.1.2-2.48.el6.x86_64 (34.18 KB, text/plain)
2010-06-17 02:32 EDT, juzhang
no flags Details
#x86info -a -f > qemu2.48withoutx2apic.txt on qemu-kvm-0.12.1.2-2.48.el6.x86_64. (34.16 KB, text/plain)
2010-06-17 02:33 EDT, juzhang
no flags Details

  None (edit)
Description juzhang 2010-06-11 05:56:25 EDT
Description of problem:
Can not boot amd cpu model guest in intel host

Version-Release number of selected component (if applicable):
#rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.72.el6.x86_64
#uname -r
2.6.32-33.el6.x86_64

How reproducible:

Steps to Reproduce:
1.List all qemu-kvm supported cpu model
#/usr/libexec/qemu-kvm -cpu ?model
x86       Opteron_G3  AMD Opteron 23xx (Gen 3 Class Opteron)          
x86       Opteron_G2  AMD Opteron 22xx (Gen 2 Class Opteron)          
x86       Opteron_G1  AMD Opteron 240 (Gen 1 Class Opteron)           
x86          Nehalem  Intel Core i7 9xx (Nehalem Class Core i7)       
x86           Penryn  Intel Core 2 Duo P9xxx (Penryn Class Core 2)    
x86           Conroe  Intel Celeron_4x0 (Conroe/Merom Class Core 2)   
x86           [n270]  Intel(R) Atom(TM) CPU N270   @ 1.60GHz          
x86         [athlon]  QEMU Virtual CPU version 0.12.1                 
x86       [pentium3]                                                  
x86       [pentium2]                                                  
x86        [pentium]                                                  
x86            [486]                                                  
x86        [coreduo]  Genuine Intel(R) CPU           T2600  @ 2.16GHz 
x86         [qemu32]  QEMU Virtual CPU version 0.12.1                 
x86          [kvm64]  Common KVM processor                            
x86       [core2duo]  Intel(R) Core(TM)2 Duo CPU     T7700  @ 2.40GHz 
x86         [phenom]  AMD Phenom(tm) 9550 Quad-Core Processor         
x86         [qemu64]  QEMU Virtual CPU version 0.12.1
2.boot guest with option "-cpu phenom,check"
# /usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom,check -balloon none -boot c -monitor stdio -vnc :8
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
QEMU 0.12.1 monitor - type 'help' for more information
(qemu)
3.boot -cpu with option "-cpu Opteron_G3,check"
 /usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu Opteron_G3,check -balloon none -boot c -monitor stdio -vnc :8
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 8000_0001 lacks requested flag 'misalignsse' [0x00000080]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 8000_0001 lacks requested flag 'misalignsse' [0x00000080]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 8000_0001 lacks requested flag 'misalignsse' [0x00000080]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 8000_0001 lacks requested flag 'misalignsse' [0x00000080]
QEMU 0.12.1 monitor - type 'help' for more information
(qemu)   
4.boot -cpu with option "-cpu Opteron_G2,check"
/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu Opteron_G2,check -balloon none -boot c -monitor stdio -vnc :8
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
warning: host cpuid 8000_0000 lacks requested flag 'rdtscp' [0x08000000]
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) 
5.boot -cpu with option "-cpu Opteron_G1,check"
/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu Opteron_G1,check -balloon none -boot c -monitor stdio -vnc :8
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) 

Actual results:
after step2,guest can't be boot successful,black screen.
after step3,guest can't be boot successful,screen display "Can not set up NMI watchdog on CPU0".
after step4,guest can't be boot successful,screen display "Can not set up NMI watchdog on CPU0"
after step5,guest can't be boot successful,screen display "Can not set up NMI watchdog on CPU0"

Expected results:
Guest can boot successful.

Additional info:
Intel host
#cat /proc/cpuinfo | grep cores
cpu cores	: 4after step4,guest can't be boot successful,screen display "Can not set up NMI watchdog on CPU0"
# cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 23
model name	: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
stepping	: 10
cpu MHz		: 2826.267
cache size	: 6144 KB
physical id	: 0
siblings	: 4
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 13
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
bogomips	: 5652.53
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

#cat /proc/cpuinfo | grep flag
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx lm constant_tsc arch_perfmon pebs bts rep_good aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 xsave lahf_lm tpr_shadow vnmi flexpriority
Comment 1 juzhang 2010-06-11 06:04:03 EDT
Tested qemu-kvm-0.12.1.2-2.48.el6.x86_64 using same host,boot guest with option "-cpu phenom,check",can be boot successful.

1.List all qemu-kvm supported cpu model
/usr/libexec/qemu-kvm -cpu ?model
x86           [n270]  Intel(R) Atom(TM) CPU N270   @ 1.60GHz          
x86         [athlon]  QEMU Virtual CPU version 0.12.1                 
x86       [pentium3]                                                  
x86       [pentium2]                                                  
x86        [pentium]                                                  
x86            [486]                                                  
x86        [coreduo]  Genuine Intel(R) CPU           T2600  @ 2.16GHz 
x86         [qemu32]  QEMU Virtual CPU version 0.12.1                 
x86          [kvm64]  Common KVM processor                            
x86       [core2duo]  Intel(R) Core(TM)2 Duo CPU     T7700  @ 2.40GHz 
x86         [phenom]  AMD Phenom(tm) 9550 Quad-Core Processor         
x86         [qemu64]  QEMU Virtual CPU version 0.12.1  
2.becase  qemu-kvm-0.12.1.2-2.48.el6.x86_64 don't support Opteron_G3,Opteron_G2 and Opteron_G1.I just boot guest with option "-cpu phenom,check".
/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom,check -balloon none -boot c -monitor stdio -vnc :8
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
warning: host cpuid 0000_0001 lacks requested flag 'popcnt' [0x00800000]
warning: host cpuid 8000_0000 lacks requested flag 'mmxext' [0x00400000]
warning: host cpuid 8000_0000 lacks requested flag '3dnowext' [0x40000000]
warning: host cpuid 8000_0000 lacks requested flag '3dnow' [0x80000000]
warning: host cpuid 8000_0001 lacks requested flag 'abm' [0x00000020]
warning: host cpuid 8000_0001 lacks requested flag 'sse4a' [0x00000040]
QEMU 0.12.1 monitor - type 'help' for more information
(qemu) 

Results:
Guest can be boot successful.
In guest:
#cat /proc/cpuinfo | grep flags
flags		: fpu de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx fxsr_opt lm pni cx16 hypervisor lahf_lm

So,mark this issue as regression.
Comment 4 juzhang 2010-06-12 05:22:32 EDT
Both tested on qemu-kvm-0.12.1.2-2.72.el6.x86_64 and qemu-kvm-0.12.1.2-2.48.el6.x86_64 using same guest and same host.


1. Tested on qemu-kvm-0.12.1.2-2.72.el6.x86_64
1.1 boot gust without "+x2apic"
=========================================================================
                 |       Results     
-------------------------------------------------------------------------
"-cpu phenom"    |boot fail with nothing,just blackscreen
-------------------------------------------------------------------------
"-cpu Opteron_G1"|boot stuck at "Can not set up NMIwatchdog on CPU0"
--------------------------------------------------------------------
"-cpu Opteron_G2"|boot stuck at "Can not set up NMIwatchdog on CPU0"
--------------------------------------------------------------------
"-cpu Opteron_G3"|boot stuck at "Can not set up NMIwatchdog on CPU0"
=========================================================================
1.2 boot gust with "+x2apic"
========================================================================
with "+x2apic"	          |  Results
------------------------------------------------------------------------
"-cpu phenom,+x2apic"	  |  Guest can be boot successly
------------------------------------------------------------------------
"-cpu Opteron_G1,+x2apic" |  Guest can be boot successly
------------------------------------------------------------------------
"-cpu Opteron_G2,+x2apic" |  Guest can be boot successly
------------------------------------------------------------------------
"-cpu Opteron_G3,+x2apic" |  Guest can be boot successly
========================================================================

2.Tested on qemu-kvm-0.12.1.2-2.48.el6.x86_64.

2.1 boot gust without "+x2apic"
=========================================================================
                          |       Results     
-------------------------------------------------------------------------
"-cpu phenom"             |Guest can be boot successly
=========================================================================
boot gust without "+x2apic"
========================================================================
with "+x2apic"	          |  Results
------------------------------------------------------------------------
"-cpu phenom,+x2apic"	  |  Guest can be boot successly
========================================================================



Guest info:
Guest:rhel6.0
Guest kernel version:2.6.32-33.el6.x86_64
Comment 5 juzhang 2010-06-12 05:41:23 EDT
Please NOTE:
If tested on on qemu-kvm-0.12.1.2-2.48.el6.x86_64.
Guest can be boot successful,no matter  with "+x2apic" or without "+x2apic".
If tested on on qemu-kvm-0.12.1.2-2.72.el6.x86_64.
Guest only can boot successful with "+x2apic",without "+x2apic",boot boot fail.
Comment 6 john cooper 2010-06-14 22:20:15 EDT
Some data after poking at this..

I don't believe this fundamentally relates to cpu models as
I can get a rhel6.0 beta kernel to boot under a phenom (or
Opteron_G1/G2/G3 feature flag set) however never in the case
of 1 < smp.  Even for the case of -smp 1 there is randomness
between a normal/rapid boot and one taking longer than I cared
to wait.  In the case of a boot failure the kernel hangs after
the init of the 8250 serial driver. 

I've also seen intermittent kernel panics I believed were
related to exposing the x2apic flag to the guest (opposite
of what you've seen: +x2apic _causes_ failure) encountering
a panic after:

    Boot APIC ID in local APIC unexpected (-1 vs 0)

where read_apic_id() is apparently returning a bogus id.  However
even this is inconsistent.  As a point of comparison a stock f12
kernel exhibits none of the problems above in my testing.

x2apic isn't defined in AMD's cpuid specification so we may
be hitting a quirk in the guest kernel startup and/or kvm
x2apic emulation.

One missing piece of information in the above Comment #4,
for the case of booting _without_ "+x2apic" (eg: just
"-cpu phenom", can you do an "x86info -a -f" on the guest
after it boots up?
Comment 7 juzhang 2010-06-17 02:26:13 EDT
Sorry for replying late,just come back from Dragon Boat Festival vacation.
> One missing piece of information in the above Comment #4,
> for the case of booting _without_ "+x2apic" (eg: just
> "-cpu phenom", can you do an "x86info -a -f" on the guest
> after it boots up?    
Both retested on qemu-kvm-0.12.1.2-2.72.el6.x86_64 and qemu-kvm-0.12.1.2-2.48.el6.x86_64 using  cmdline,guest and host as same as comment0.

(1)Tested on qemu-kvm-0.12.1.2-2.72.el6.x86_64.

1. Without "+x2apic",guest boot failed,so I can't provided "x86info -a -f" infos on the guest.
#/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom -balloon none -boot c -monitor stdio -vnc :8

2. With "+x2apic",guest can be boot successly

#/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom,+x2apic -balloon none -boot c -monitor stdio -vnc :8

After guest was booted,log in guest

Save "x86info -a -f" named "qemu2.72withx2apic.txt"
#x86info -a -f > qemu2.72withx2apic.txt

(2)Tested on qemu-kvm-0.12.1.2-2.48.el6.x86_64.

1. Without "+x2apic",guest can be boot successly
#/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom -balloon none -boot c -monitor stdio -vnc :8

After guest was booted,log in guest
Save "x86info -a -f" named "qemu2.48withoutx2apic.txt"
#x86info -a -f > qemu2.48withoutx2apic.txt

2. With "+x2apic",guest can be boot successly
#/usr/libexec/qemu-kvm -usbdevice tablet -rtc-td-hack -m 2G -smp 4 -drive file=/home/rhel6_2.33_641.qcow2,if=virtio,boot=on,cache=none -net nic,vlan=0,macaddr=22:11:22:45:16:99,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -uuid `uuidgen` -cpu phenom,+x2apic -balloon none -boot c -monitor stdio -vnc :8

After guest was booted,log in guest
Save "x86info -a -f" named "qemu2.48withx2apic.txt"
#x86info -a -f > qemu2.48withx2apic.txt
Comment 8 juzhang 2010-06-17 02:30:48 EDT
Created attachment 424683 [details]
#x86info -a -f > qemu2.72withx2apic.txt on qemu-kvm-0.12.1.2-2.72.el6.x86_64.
Comment 9 juzhang 2010-06-17 02:32:01 EDT
Created attachment 424685 [details]
#"x86info -a -f > qemu2.48withx2apic.txt"  on qemu-kvm-0.12.1.2-2.48.el6.x86_64
Comment 10 juzhang 2010-06-17 02:33:26 EDT
Created attachment 424687 [details]
#x86info -a -f > qemu2.48withoutx2apic.txt on qemu-kvm-0.12.1.2-2.48.el6.x86_64.
Comment 11 john cooper 2010-06-21 17:32:21 EDT
Booting AMD cpu models on an Intel host (or opposite)
isn't currently supported.  So closing this bug on
that basis.

That said as a fair amount of work was undertaken above
I thought it was work a look, so for:

1: qemu2.72withx2apic.txt
2: qemu2.48withx2apic.txt
3: qemu2.48withoutx2apic.txt

the raw cpuid data gives us:

# diff 1 2
9c9
< eax in: 0x80000001, eax = 00100f23 ebx = 00000000 ecx = 00000001 edx = 2191abfd
---
> eax in: 0x80000001, eax = 00100f23 ebx = 00000000 ecx = 00000001 edx = 2391abfd
# diff 2 3
2c2
< eax in: 0x00000001, eax = 00100f23 ebx = 00000800 ecx = 80202001 edx = 078bfbfd
---
> eax in: 0x00000001, eax = 00100f23 ebx = 00000800 ecx = 80002001 edx = 078bfbfd
# diff 1 3
2c2
< eax in: 0x00000001, eax = 00100f23 ebx = 00000800 ecx = 80202001 edx = 078bfbfd
---
> eax in: 0x00000001, eax = 00100f23 ebx = 00000800 ecx = 80002001 edx = 078bfbfd
9c9
< eax in: 0x80000001, eax = 00100f23 ebx = 00000000 ecx = 00000001 edx = 2191abfd
---
> eax in: 0x80000001, eax = 00100f23 ebx = 00000000 ecx = 00000001 edx = 2391abfd

In addition to the expected x2apic flag [cpuid:0000_0001, ecx:21]
being disabled, the AMD unique flag FFXSR [cpuid:8000_0001, edx:25]
("fxsr_opt" in qemu speak) is somehow being enabled.  This is indeed
present in the built-in definition for "phenom" but is undefined by
Intel's cpuid scheme and appears to be inconsistently disabled to
the guest.  Unsure if this is a cause of the problem but it is an
item to investigate if this should surface as a practical concern.

Note You need to log in before you can comment on or make changes to this bug.